[arch-commits] Commit in motion/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Apr 4 15:30:50 EDT 2009


    Date: Saturday, April 4, 2009 @ 15:30:50
  Author: jgc
Revision: 33749

upgpkg: motion 3.2.11-1
    Rebuild with new ffmpeg. Remove unused dependencies: namcap and grep cannot find any reference to these

Modified:
  motion/trunk/PKGBUILD

----------+
 PKGBUILD |   29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-04 19:20:02 UTC (rev 33748)
+++ PKGBUILD	2009-04-04 19:30:50 UTC (rev 33749)
@@ -2,29 +2,30 @@
 # Maintainer: Paul Mattal <paul at archlinux.org>
 
 pkgname=motion
-pkgver=3.2.10.1
-pkgrel=5
+pkgver=3.2.11
+pkgrel=1
 pkgdesc="Motion is a software motion detector. It grabs images from video4linux devices and/or from webcams."
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome"
-depends=('curl' 'ffmpeg>=20081220' 'libogg' 'libvorbis' 'lame' 'xvidcore' 'x264>=20090108' 'mjpegtools')
+depends=('ffmpeg>=20090217')
 options=('!makeflags')
-source=(http://downloads.sourceforge.net/sourceforge/motion/$pkgname-$pkgver.tar.gz rc.motion motion-3.2.10.1-ffmpegheaders.patch motion-3.2.11-offsett.patch)
-md5sums=('5ffdc958313345c69d3e0d5ec5c013cd' 'fc09828564850824f8549d258053e0b6'\
-         '28bf5e6909fe73e41dde5f8f1101e6dd' 'b4f9a30cf47d403f8098ade75ed4350f')
+source=(http://downloads.sourceforge.net/sourceforge/motion/${pkgname}-${pkgver}.tar.gz
+	rc.motion
+	motion-3.2.11-offsett.patch)
+md5sums=('3a26c00f3250eacf6fa93c7a7e0249d9'
+         'fc09828564850824f8549d258053e0b6'
+         'b4f9a30cf47d403f8098ade75ed4350f')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  patch -p1 < ../motion-3.2.11-offsett.patch || return 1
-  patch -p1 < ../motion-3.2.10.1-ffmpegheaders.patch || return 1
-  autoreconf || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/motion-3.2.11-offsett.patch" || return 1
   ./configure --prefix=/usr --without-pgsql --without-mysql \
-  	--with-libavcodec=/usr/lib/ --sysconfdir=/etc/$pkgname || return 1
+  	--with-libavcodec=/usr/lib/ --sysconfdir=/etc/motion || return 1
 
   make || return 1
 
-  make DESTDIR=$startdir/pkg install || return 1
-  install -D -m755 $startdir/src/rc.motion $startdir/pkg/etc/rc.d/motion \
-  	|| return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/etc/rc.d"
+  install -m755 "${srcdir}/rc.motion" "${pkgdir}/etc/rc.d/motion" || return 1
 }



More information about the arch-commits mailing list